Subject: bug#24677: closed (Re: bug#24677: Failure in automatic tests for guile 2.0.13)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 01 Mar 2017 11:36:02 +0000

Your bug report

#24677: Failure in automatic tests for guile 2.0.13

which was filed against the guile package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
24677: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=24677
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#24677: Failure in automatic tests for guile 2.0.13
From: Andy Wingo <[email-masked]>
To: Russell Rezaian <[email-masked]>
Cc: [email-masked]
Date: Wed, 01 Mar 2017 12:35:30 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On Wed 12 Oct 2016 18:49, Russell Rezaian <[email-masked]> writes:

> Hello,
>
> Have just been building guile 2.0.13 on a small collection of Macs. Several different OS versions.
>
> Compile completes successfully.
>
> When I run make check, however, I get an error:
>
> with GUILE_LOAD_PATH=/Users/rjr/Documents/build/guile-2.0.13/test-suite
> Running 00-initial-env.test
> Running 00-repl-server.test
> FAIL: check-guile

I believe I have fixed this.  The problem was that in Guile builds
without threads, the REPL server tests should not be run.  Additionally
these tests were failing to ignore SIGPIPE.

Thanks for the report,

Andy

Subject: Failure in automatic tests for guile 2.0.13
From: Russell Rezaian <[email-masked]>
To: [email-masked]
Date: Wed, 12 Oct 2016 11:49:14 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Have just been building guile 2.0.13 on a small collection of Macs. 
Several different OS versions.

Compile completes successfully.

When I run make check, however, I get an error:

with GUILE_LOAD_PATH=/Users/rjr/Documents/build/guile-2.0.13/test-suite
Running 00-initial-env.test
Running 00-repl-server.test
FAIL: check-guile
==================================
1 of 1 test failed
Please report to [email-masked]
==================================

Guile 2.0.12 has successfully compiled and passed auto-checks on all of
these platforms.
--
Russell